Bug 962250 - python3-h5py does not work - import fails
python3-h5py does not work - import fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: h5py (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 20:41 EDT by Alexander Heger
Modified: 2013-06-29 14:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: h5py-2.1.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:27:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixed source tar file (997.26 KB, application/gzip)
2013-05-12 20:41 EDT, Alexander Heger
no flags Details
revised fix (sorry) (996.46 KB, multipart/tar)
2013-05-15 08:18 EDT, Alexander Heger
no flags Details

  None (edit)
Description Alexander Heger 2013-05-12 20:41:55 EDT
Created attachment 747028 [details]
fixed source tar file

Description of problem:

h5py cannot be imported in Python3

Version-Release number of selected component (if applicable):

python3-h5py.x86_64                                            2.1.0-1.fc18
python3.x86_64                                              3.3.0-1.fc18

How reproducible:

100%

Steps to Reproduce:
1. python3
2. import h5py
  
Actual results:

~>python3
Python 3.3.0 (default, Sep 29 2012, 22:07:38) 
[GCC 4.7.2 20120921 (Red Hat 4.7.2-2)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import h5py
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python3.3/site-packages/h5py/__init__.py", line 7, in <module>
    from h5py import h5a, h5d, h5ds, h5f, h5fd, h5g, h5r, h5s, h5t, h5p, h5z
ImportError: cannot import name h5a
>>> 

Expected results:

~>python3
Python 3.3.0 (default, Sep 29 2012, 22:07:38) 
[GCC 4.7.2 20120921 (Red Hat 4.7.2-2)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import h5py
>>> 

Additional info:

This bug has been discussed online for h5py-2.1.3, including a solution, but the official distribution of h5py does not include the fix.

- Fix:
all
  import _conv
  import _objects
in all h5?.pyx files need to be changed to
  from h5py import _objects
  from h5py import _conv
the you can just (as root)
  yum install -y hdf5*
Comment 1 Alexander Heger 2013-05-13 03:52:26 EDT
sorry, installation is (as root)
python3 setup.py install
Comment 2 Alexander Heger 2013-05-15 08:18:45 EDT
Created attachment 748244 [details]
revised fix (sorry)

needed to fix a few more bugs for a real application.  I hope I caught all this time.
Comment 3 Terje Røsten 2013-06-09 10:18:37 EDT
Thanks for your report. 

Test suite seems to work inside source tree, however breaking when installed into the system.

Is a release with a fix coming from upstream soon?
Comment 4 Fedora Update System 2013-06-10 09:31:09 EDT
h5py-2.1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/h5py-2.1.3-1.fc18
Comment 5 Fedora Update System 2013-06-10 09:31:22 EDT
h5py-2.1.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/h5py-2.1.3-1.fc17
Comment 6 Fedora Update System 2013-06-10 09:31:33 EDT
h5py-2.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/h5py-2.1.3-1.fc19
Comment 7 Fedora Update System 2013-06-11 04:59:50 EDT
Package h5py-2.1.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing h5py-2.1.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10484/h5py-2.1.3-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-19 00:27:58 EDT
h5py-2.1.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-06-19 00:35:58 EDT
h5py-2.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-06-29 14:42:56 EDT
h5py-2.1.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.